Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobItemRegist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobItemRegist.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobItemRegist.cs	(revision 267)
@@ -65,17 +65,18 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  PersonCode";
-            strcmd += ", DATE_FORMAT(CreateDate,'%Y/%m/%d')";
-            strcmd += ", SeqNo";
-            strcmd += ", DisplayOrder";
-            strcmd += ", ItemCode";
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM SubConstrJobItemRegist";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  PersonCode");
+            strcmd.Append(", DATE_FORMAT(CreateDate,'%Y/%m/%d')");
+            strcmd.Append(", SeqNo");
+            strcmd.Append(", DisplayOrder");
+            strcmd.Append(", ItemCode");
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM SubConstrJobItemRegist");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -90,16 +91,17 @@
         public bool SelectAction(string AddSQLString, ref List<SubConstrJobItemRegist> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -113,7 +115,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -131,16 +133,17 @@
         public bool SelectAction(string AddSQLString, ref SubConstrJobItemRegist data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -154,7 +157,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -170,38 +173,38 @@
         /// <returns></returns>
         public bool InsertAction(SubConstrJobItemRegist data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "INSERT INTO SubConstrJobItemRegist";
+                strcmd.Append("INSERT INTO SubConstrJobItemRegist");
 
-                strcmd += "(";
+                strcmd.Append("(");
                 bool bFirst = true;
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bFirst) strcmd += " ,";
-                    strcmd += gender.ToString();
+                    if (!bFirst) strcmd.Append(" ,");
+                    strcmd.Append(gender.ToString());
                     bFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", data.PersonCode);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')" + data.CreateDate.ToShortDateString());
-                strcmd += string.Format(", {0}", data.SeqNo);
-                strcmd += string.Format(", {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(", {0}", data.ItemCode.ToString());
+                strcmd.AppendFormat("  {0}", data.PersonCode);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')" + data.CreateDate.ToShortDateString());
+                strcmd.AppendFormat(", {0}", data.SeqNo);
+                strcmd.AppendFormat(", {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(", {0}", data.ItemCode.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -215,46 +218,46 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<SubConstrJobItemRegist> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SubConstrJobItemRegist";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SubConstrJobItemRegist");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (SubConstrJobItemRegist work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.PersonCode);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.CreateDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", work.SeqNo);
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                    strcmd += string.Format(", {0}", work.ItemCode.ToString());
+                    strcmd.AppendFormat("  {0}", work.PersonCode);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.CreateDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", work.SeqNo);
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat(", {0}", work.ItemCode.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -269,29 +272,29 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SubConstrJobItemRegist data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE SubConstrJobItemRegist";
+                strcmd.Append("UPDATE SubConstrJobItemRegist");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format("  PersonCode = {0}", data.PersonCode);
-                strcmd += string.Format(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CreateDate.ToShortDateString());
-                strcmd += string.Format(", SeqNo = {0}", data.SeqNo);
-                strcmd += string.Format(", DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(", ItemCode = {0}", data.ItemCode.ToString());
+                strcmd.AppendFormat("  PersonCode = {0}", data.PersonCode);
+                strcmd.AppendFormat(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CreateDate.ToShortDateString());
+                strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo);
+                strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(", ItemCode = {0}", data.ItemCode.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -307,18 +310,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM SubConstrJobItemRegist", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM SubConstrJobItemRegist", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -363,25 +366,27 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int PersonCode, DateTime CaretaDate, int SeqNo = 0, int DisplayOrder = 0, string Alias = "")
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
+             
             try
             {
                 string strAlias = string.Empty;
                 if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
-                strWork = string.Format(" WHERE {0}PersonCode = {1}", strAlias, PersonCode);
+
+                strWork.AppendFormat(" WHERE {0}PersonCode = {1}", strAlias, PersonCode);
                 if (CaretaDate != DateTime.MinValue)
-                    strWork += string.Format(" AND {0}CreateDate = STR_TO_DATE('{1}','%Y/%m/%d')", strAlias, CaretaDate.ToShortDateString());
+                    strWork.AppendFormat(" AND {0}CreateDate = STR_TO_DATE('{1}','%Y/%m/%d')", strAlias, CaretaDate.ToShortDateString());
                 if (SeqNo != 0)
-                    strWork += string.Format(" AND {0}SeqNo = {1}", strAlias, SeqNo);
+                    strWork.AppendFormat(" AND {0}SeqNo = {1}", strAlias, SeqNo);
                 if (DisplayOrder != 0)
-                    strWork += string.Format(" AND {0}DisplayOrder = {1}", strAlias, DisplayOrder);
+                    strWork.AppendFormat(" AND {0}DisplayOrder = {1}", strAlias, DisplayOrder);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobLinkRegist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobLinkRegist.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobLinkRegist.cs	(revision 267)
@@ -63,17 +63,18 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  PersonCode";
-            strcmd += ", DATE_FORMAT(CreateDate,'%Y/%m/%d')";
-            strcmd += ", SeqNo";
-            strcmd += ", DisplayOrder";
-            strcmd += ", JobCategoryCode";
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM SubConstrJobLinkRegist";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  PersonCode");
+            strcmd.Append(", DATE_FORMAT(CreateDate,'%Y/%m/%d')");
+            strcmd.Append(", SeqNo");
+            strcmd.Append(", DisplayOrder");
+            strcmd.Append(", JobCategoryCode");
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM SubConstrJobLinkRegist");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -88,16 +89,17 @@
         public bool SelectAction(string AddSQLString, ref List<SubConstrJobLinkRegist> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -111,7 +113,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -129,16 +131,17 @@
         public bool SelectAction(string AddSQLString, ref SubConstrJobLinkRegist data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -152,7 +155,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -168,38 +171,38 @@
         /// <returns></returns>
         public bool InsertAction(SubConstrJobLinkRegist data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                    strcmd = "INSERT INTO SubConstrJobLinkRegist";
+                    strcmd.Append("INSERT INTO SubConstrJobLinkRegist");
 
-                    strcmd += "(";
+                    strcmd.Append("(");
                     bool bFirst = true;
                     foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                     {
-                        if (!bFirst) strcmd += " ,";
-                        strcmd += gender.ToString();
+                        if (!bFirst) strcmd.Append(" ,");
+                        strcmd.Append(gender.ToString());
                         bFirst = false;
                     }
-                    strcmd += ") VALUES (";
+                    strcmd.Append(") VALUES (");
 
-                    strcmd += string.Format("  {0}", data.PersonCode);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')" + data.CreateDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", data.SeqNo);
-                    strcmd += string.Format(", {0}", data.DisplayOrder.ToString());
-                    strcmd += string.Format(", {0}", data.JobCategoryCode.ToString());
+                    strcmd.AppendFormat("  {0}", data.PersonCode);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')" + data.CreateDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", data.SeqNo);
+                    strcmd.AppendFormat(", {0}", data.DisplayOrder.ToString());
+                    strcmd.AppendFormat(", {0}", data.JobCategoryCode.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                    strcmd.Append(")");
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                    if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -213,46 +216,46 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<SubConstrJobLinkRegist> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SubConstrJobLinkRegist";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SubConstrJobLinkRegist");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (SubConstrJobLinkRegist work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.PersonCode);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.CreateDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", work.SeqNo);
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                    strcmd += string.Format(", {0}", work.JobCategoryCode.ToString());
+                    strcmd.AppendFormat("  {0}", work.PersonCode);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.CreateDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", work.SeqNo);
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat(", {0}", work.JobCategoryCode.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -267,30 +270,30 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SubConstrJobLinkRegist data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE SubConstrJobLinkRegist";
+                strcmd.Append("UPDATE SubConstrJobLinkRegist");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format("  PersonCode = {0}", data.PersonCode);
-                strcmd += string.Format(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CreateDate.ToShortDateString());
-                strcmd += string.Format(", SeqNo = {0}", data.SeqNo);
-                strcmd += string.Format(", DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(", JobCategoryCode = {0}", data.JobCategoryCode.ToString());
+                strcmd.AppendFormat("  PersonCode = {0}", data.PersonCode);
+                strcmd.AppendFormat(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CreateDate.ToShortDateString());
+                strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo);
+                strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(", JobCategoryCode = {0}", data.JobCategoryCode.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -306,18 +309,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM SubConstrJobLinkRegist", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM SubConstrJobLinkRegist", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -363,25 +366,26 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int PersonCode, DateTime CaretaDate, int SeqNo = 0, int DisplayOrder = 0, string Alias = "")
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
                 string strAlias = string.Empty;
                 if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
-                strWork = string.Format(" WHERE {0}PersonCode = {1}", strAlias, PersonCode);
+
+                strWork.AppendFormat(" WHERE {0}PersonCode = {1}", strAlias, PersonCode);
                 if (CaretaDate != DateTime.MinValue)
-                    strWork += string.Format(" AND {0}CreateDate = STR_TO_DATE('{1}','%Y/%m/%d')", strAlias, CaretaDate.ToShortDateString());
+                    strWork.AppendFormat(" AND {0}CreateDate = STR_TO_DATE('{1}','%Y/%m/%d')", strAlias, CaretaDate.ToShortDateString());
                 if (SeqNo != 0)
-                    strWork += string.Format(" AND {0}SeqNo = {1}", strAlias, SeqNo);
+                    strWork.AppendFormat(" AND {0}SeqNo = {1}", strAlias, SeqNo);
                 if (DisplayOrder != 0)
-                    strWork += string.Format(" AND {0}DisplayOrder = {1}", strAlias, DisplayOrder);
+                    strWork.AppendFormat(" AND {0}DisplayOrder = {1}", strAlias, DisplayOrder);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
